%% Fuzzy_Paper Implementation : 
%  IEEE TRANSACTIONS ON FUZZY SYSTEMS, VOL. 20, NO. 4, AUGUST 2012
%  ---------------------------------------------------------------
%  Derivative of Softmax activation function 

function z = mysoftmindrvt(x, q)
	z = x.^q;
	tmp = mean(z(:))^(1/q-1); 
    z = tmp*x.^(q-1); 
end


